Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.swt
Class CCombo

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      hibergui.swt.CCombo

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public final class CCombo

extends org.eclipse.swt.widgets.Composite

The CCombo class represents a selectable user interface object that combines a text field and a list and issues notification when an item is selected from the list.

Note that although this class is a subclass of `Composite`, it does not make sense to add children to it, or set a layout on it.

Styles:
  BORDER, READ_ONLY, FLAT
Events:
  Selection

Field Summary
`org.eclipse.swt.widgets.Button` | `arrow`
`(package private) org.eclipse.swt.graphics.Color` | `background`
`(package private) org.eclipse.swt.widgets.Listener` | `filter`
`(package private) org.eclipse.swt.graphics.Font` | `font`
`(package private) org.eclipse.swt.graphics.Color` | `foreground`
`(package private) boolean` | `hasFocus`
`org.eclipse.swt.widgets.List` | `list`
`(package private) org.eclipse.swt.widgets.Listener` | `listener`
`(package private) org.eclipse.swt.widgets.Shell` | `popup`
`org.eclipse.swt.widgets.Text` | `text`
`(package private) int` | `visibleItemCount`

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`CCombo(org.eclipse.swt.widgets.Composite parent, int style)` Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

Method Summary
`(package private) char` | `_findMnemonic(java.lang.String string)`
`void` | `add(java.lang.String string)` Adds the argument to the end of the receiver's list.
`void` | `add(java.lang.String string, int index)` Adds the argument to the receiver's list at the given zero-relative index.
`void` | `addModifyListener(org.eclipse.swt.events.ModifyListener listener)` Adds the listener to the collection of listeners who will be notified when the receiver's text is modified, by sending it one of the messages defined in the `ModifyListener` interface.
`void` | `addSelectionListener(org.eclipse.swt.events.SelectionListener listener)` Adds the listener to the collection of listeners who will be notified when the receiver's selection changes, by sending it one of the messages defined in the `SelectionListener` interface.
`(package private) void` | `arrowEvent(org.eclipse.swt.widgets.Event event)`
`(package private) static int` | `checkStyle(int style)`
`void` | `clearSelection()` Sets the selection in the receiver's text field to an empty selection starting just before the first character.
`(package private) void` | `comboEvent(org.eclipse.swt.widgets.Event event)`
`org.eclipse.swt.graphics.Point` | `computeSize(int wHint, int hHint, boolean changed)`
`(package private) void` | `createPopup(java.lang.String[] items, int selectionIndex)`
`void` | `deselect(int index)` Deselects the item at the given zero-relative index in the receiver's list.
`void` | `deselectAll()` Deselects all selected items in the receiver's list.
`void` | `dropDown(boolean drop)`
`(package private) org.eclipse.swt.widgets.Label` | `getAssociatedLabel()`
`org.eclipse.swt.widgets.Control[]` | `getChildren()`
`boolean` | `getEditable()` Gets the editable state.
`java.lang.String` | `getItem(int index)` Returns the item at the given, zero-relative index in the receiver's list.
`int` | `getItemCount()` Returns the number of items contained in the receiver's list.
`int` | `getItemHeight()` Returns the height of the area which would be used to display one of the items in the receiver's list.
`java.lang.String[]` | `getItems()` Returns an array of `String`s which are the items in the receiver's list.
`org.eclipse.swt.widgets.Menu` | `getMenu()`
`org.eclipse.swt.graphics.Point` | `getSelection()` Returns a `Point` whose x coordinate is the start of the selection in the receiver's text field, and whose y coordinate is the end of the selection.
`int` | `getSelectionIndex()` Returns the zero-relative index of the item which is currently selected in the receiver's list, or -1 if no item is selected.
`int` | `getStyle()`
`java.lang.String` | `getText()` Returns a string containing a copy of the contents of the receiver's text field.
`int` | `getTextHeight()` Returns the height of the receivers's text field.
`int` | `getTextLimit()` Returns the maximum number of characters that the receiver's text field is capable of holding.
`int` | `getVisibleItemCount()` Gets the number of items that are visible in the drop down portion of the receiver's list.
`(package private) void` | `handleFocus(int type)`
`int` | `indexOf(java.lang.String string)` Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item.
`int` | `indexOf(java.lang.String string, int start)` Searches the receiver's list starting at the given, zero-relative index until an item is found that is equal to the argument, and returns the index of that item.
`(package private) void` | `initAccessible()`
`(package private) void` | `internalLayout(boolean changed)`
`boolean` | `isDropped()`
`boolean` | `isFocusControl()`
`(package private) void` | `listEvent(org.eclipse.swt.widgets.Event event)`
`(package private) void` | `popupEvent(org.eclipse.swt.widgets.Event event)`
`void` | `redraw()`
`void` | `redraw(int x, int y, int width, int height, boolean all)`
`void` | `remove(int index)` Removes the item from the receiver's list at the given zero-relative index.
`void` | `remove(int start, int end)` Removes the items from the receiver's list which are between the given zero-relative start and end indices (inclusive).
`void` | `remove(java.lang.String string)` Searches the receiver's list starting at the first item until an item is found that is equal to the argument, and removes that item from the list.
`void` | `removeAll()` Removes all of the items from the receiver's list and clear the contents of receiver's text field.
`void` | `removeModifyListener(org.eclipse.swt.events.ModifyListener listener)` Removes the listener from the collection of listeners who will be notified when the receiver's text is modified.
`void` | `removeSelectionListener(org.eclipse.swt.events.SelectionListener listener)` Removes the listener from the collection of listeners who will be notified when the receiver's selection changes.
`void` | `select(int index)` Selects the item at the given zero-relative index in the receiver's list.
`void` | `setBackground(org.eclipse.swt.graphics.Color color)`
`void` | `setEditable(boolean editable)` Sets the editable state.
`void` | `setEnabled(boolean enabled)`
`boolean` | `setFocus()`
`void` | `setFont(org.eclipse.swt.graphics.Font font)`
`void` | `setForeground(org.eclipse.swt.graphics.Color color)`
`void` | `setItem(int index, java.lang.String string)` Sets the text of the item in the receiver's list at the given zero-relative index to the string argument.
`void` | `setItems(java.lang.String[] items)` Sets the receiver's list to be the given array of items.
`void` | `setLayout(org.eclipse.swt.widgets.Layout layout)` Sets the layout which is associated with the receiver to be the argument which may be null.
`void` | `setMenu(org.eclipse.swt.widgets.Menu menu)`
`void` | `setSelection(org.eclipse.swt.graphics.Point selection)` Sets the selection in the receiver's text field to the range specified by the argument whose x coordinate is the start of the selection and whose y coordinate is the end of the selection.
`void` | `setText(java.lang.String string)` Sets the contents of the receiver's text field to the given string.
`void` | `setTextLimit(int limit)` Sets the maximum number of characters that the receiver's text field is capable of holding to be the argument.
`void` | `setToolTipText(java.lang.String string)`
`void` | `setVisible(boolean visible)`
`void` | `setVisibleItemCount(int count)` Sets the number of items that are visible in the drop down portion of the receiver's list.
`(package private) java.lang.String` | `stripMnemonic(java.lang.String string)`
`(package private) void` | `textEvent(org.eclipse.swt.widgets.Event event)`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, getBackgroundMode, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setLayoutData, setLocation, setLocation, setParent, setRedraw, setSize, setSize, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### text

    public org.eclipse.swt.widgets.Text text

### list

    public org.eclipse.swt.widgets.List list

### visibleItemCount

    int visibleItemCount

### popup

    org.eclipse.swt.widgets.Shell popup

### arrow

    public org.eclipse.swt.widgets.Button arrow

### hasFocus

    boolean hasFocus

### listener

    org.eclipse.swt.widgets.Listener listener

### filter

    org.eclipse.swt.widgets.Listener filter

### foreground

    org.eclipse.swt.graphics.Color foreground

### background

    org.eclipse.swt.graphics.Color background

### font

    org.eclipse.swt.graphics.Font font

Constructor Detail

### CCombo

    public CCombo(org.eclipse.swt.widgets.Composite parent,
                  int style)

  Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

  Parameters:
    `parent` - a widget which will be the parent of the new instance (cannot be null)
    `style` - the style of widget to construct
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the parent is null
    `org.eclipse.swt.SWTException` -
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  See Also:
    `SWT.BORDER`, `SWT.READ_ONLY`, `SWT.FLAT`, `Widget.getStyle()`

Method Detail

### checkStyle

    static int checkStyle(int style)

### add

    public void add(java.lang.String string)

  Adds the argument to the end of the receiver's list.

  Parameters:
    `string` - the new item
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `add(String,int)`

### add

    public void add(java.lang.String string,
                    int index)

  Adds the argument to the receiver's list at the given zero-relative index.

  Note: To add an item at the end of the list, use the result of calling `getItemCount()` as the index or use `add(String)`.

  Parameters:
    `string` - the new item
    `index` - the index for the item
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the list (inclusive)
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `add(String)`

### addModifyListener

    public void addModifyListener(org.eclipse.swt.events.ModifyListener listener)

  Adds the listener to the collection of listeners who will be notified when the receiver's text is modified, by sending it one of the messages defined in the `ModifyListener` interface.

  Parameters:
    `listener` - the listener which should be notified
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `ModifyListener`, `removeModifyListener(org.eclipse.swt.events.ModifyListener)`

### addSelectionListener

    public void addSelectionListener(org.eclipse.swt.events.SelectionListener listener)

  Adds the listener to the collection of listeners who will be notified when the receiver's selection changes, by sending it one of the messages defined in the `SelectionListener` interface.

  `widgetSelected` is called when the combo's list selection changes. `widgetDefaultSelected` is typically called when ENTER is pressed the combo's text area.

  Parameters:
    `listener` - the listener which should be notified
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `SelectionListener`, `removeSelectionListener(org.eclipse.swt.events.SelectionListener)`, `SelectionEvent`

### arrowEvent

    void arrowEvent(org.eclipse.swt.widgets.Event event)

### clearSelection

    public void clearSelection()

  Sets the selection in the receiver's text field to an empty selection starting just before the first character. If the text field is editable, this has the effect of placing the i-beam at the start of the text.

  Note: To clear the selected items in the receiver's list, use `deselectAll()`.

  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `deselectAll()`

### comboEvent

    void comboEvent(org.eclipse.swt.widgets.Event event)

### computeSize

    public org.eclipse.swt.graphics.Point computeSize(int wHint,
                                                      int hHint,
                                                      boolean changed)

  Overrides:
    `computeSize` in class `org.eclipse.swt.widgets.Composite`

### createPopup

    void createPopup(java.lang.String[] items,
                     int selectionIndex)

### deselect

    public void deselect(int index)

  Deselects the item at the given zero-relative index in the receiver's list. If the item at the index was already deselected, it remains deselected. Indices that are out of range are ignored.

  Parameters:
    `index` - the index of the item to deselect
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### deselectAll

    public void deselectAll()

  Deselects all selected items in the receiver's list.

  Note: To clear the selection in the receiver's text field, use `clearSelection()`.

  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `clearSelection()`

### dropDown

    public void dropDown(boolean drop)

### _findMnemonic

    char _findMnemonic(java.lang.String string)

### getAssociatedLabel

    org.eclipse.swt.widgets.Label getAssociatedLabel()

### getChildren

    public org.eclipse.swt.widgets.Control[] getChildren()

  Overrides:
    `getChildren` in class `org.eclipse.swt.widgets.Composite`

### getEditable

    public boolean getEditable()

  Gets the editable state.

  Returns:
    whether or not the receiver is editable
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### getItem

    public java.lang.String getItem(int index)

  Returns the item at the given, zero-relative index in the receiver's list. Throws an exception if the index is out of range.

  Parameters:
    `index` - the index of the item to return
  Returns:
    the item at the given index
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the list minus 1 (inclusive)
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getItemCount

    public int getItemCount()

  Returns the number of items contained in the receiver's list.

  Returns:
    the number of items
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getItemHeight

    public int getItemHeight()

  Returns the height of the area which would be used to display one of the items in the receiver's list.

  Returns:
    the height of one item
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getItems

    public java.lang.String[] getItems()

  Returns an array of `String`s which are the items in the receiver's list.

  Note: This is not the actual structure used by the receiver to maintain its list of items, so modifying the array will not affect the receiver.

  Returns:
    the items in the receiver's list
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getMenu

    public org.eclipse.swt.widgets.Menu getMenu()

  Overrides:
    `getMenu` in class `org.eclipse.swt.widgets.Control`

### getSelection

    public org.eclipse.swt.graphics.Point getSelection()

  Returns a `Point` whose x coordinate is the start of the selection in the receiver's text field, and whose y coordinate is the end of the selection. The returned values are zero-relative. An "empty" selection as indicated by the the x and y coordinates having the same value.

  Returns:
    a point representing the selection start and end
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getSelectionIndex

    public int getSelectionIndex()

  Returns the zero-relative index of the item which is currently selected in the receiver's list, or -1 if no item is selected.

  Returns:
    the index of the selected item
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getStyle

    public int getStyle()

  Overrides:
    `getStyle` in class `org.eclipse.swt.widgets.Widget`

### getText

    public java.lang.String getText()

  Returns a string containing a copy of the contents of the receiver's text field.

  Returns:
    the receiver's text
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getTextHeight

    public int getTextHeight()

  Returns the height of the receivers's text field.

  Returns:
    the text height
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getTextLimit

    public int getTextLimit()

  Returns the maximum number of characters that the receiver's text field is capable of holding. If this has not been changed by `setTextLimit()`, it will be the constant `Combo.LIMIT`.

  Returns:
    the text limit
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getVisibleItemCount

    public int getVisibleItemCount()

  Gets the number of items that are visible in the drop down portion of the receiver's list.

  Returns:
    the number of items that are visible
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### handleFocus

    void handleFocus(int type)

### indexOf

    public int indexOf(java.lang.String string)

  Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item. If no item is found, returns -1.

  Parameters:
    `string` - the search item
  Returns:
    the index of the item
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### indexOf

    public int indexOf(java.lang.String string,
                       int start)

  Searches the receiver's list starting at the given, zero-relative index until an item is found that is equal to the argument, and returns the index of that item. If no item is found or the starting index is out of range, returns -1.

  Parameters:
    `string` - the search item
    `start` - the zero-relative index at which to begin the search
  Returns:
    the index of the item
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### initAccessible

    void initAccessible()

### isDropped

    public boolean isDropped()

### isFocusControl

    public boolean isFocusControl()

  Overrides:
    `isFocusControl` in class `org.eclipse.swt.widgets.Control`

### internalLayout

    void internalLayout(boolean changed)

### listEvent

    void listEvent(org.eclipse.swt.widgets.Event event)

### popupEvent

    void popupEvent(org.eclipse.swt.widgets.Event event)

### redraw

    public void redraw()

  Overrides:
    `redraw` in class `org.eclipse.swt.widgets.Control`

### redraw

    public void redraw(int x,
                       int y,
                       int width,
                       int height,
                       boolean all)

  Overrides:
    `redraw` in class `org.eclipse.swt.widgets.Control`

### remove

    public void remove(int index)

  Removes the item from the receiver's list at the given zero-relative index.

  Parameters:
    `index` - the index for the item
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the list minus 1 (inclusive)
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### remove

    public void remove(int start,
                       int end)

  Removes the items from the receiver's list which are between the given zero-relative start and end indices (inclusive).

  Parameters:
    `start` - the start of the range
    `end` - the end of the range
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_INVALID_RANGE - if either the start or end are not between 0 and the number of elements in the list minus 1 (inclusive)
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### remove

    public void remove(java.lang.String string)

  Searches the receiver's list starting at the first item until an item is found that is equal to the argument, and removes that item from the list.

  Parameters:
    `string` - the item to remove
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    - ERROR_INVALID_ARGUMENT - if the string is not found in the list
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### removeAll

    public void removeAll()

  Removes all of the items from the receiver's list and clear the contents of receiver's text field.

  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### removeModifyListener

    public void removeModifyListener(org.eclipse.swt.events.ModifyListener listener)

  Removes the listener from the collection of listeners who will be notified when the receiver's text is modified.

  Parameters:
    `listener` - the listener which should no longer be notified
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `ModifyListener`, `addModifyListener(org.eclipse.swt.events.ModifyListener)`

### removeSelectionListener

    public void removeSelectionListener(org.eclipse.swt.events.SelectionListener listener)

  Removes the listener from the collection of listeners who will be notified when the receiver's selection changes.

  Parameters:
    `listener` - the listener which should no longer be notified
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `SelectionListener`, `addSelectionListener(org.eclipse.swt.events.SelectionListener)`

### select

    public void select(int index)

  Selects the item at the given zero-relative index in the receiver's list. If the item at the index was already selected, it remains selected. Indices that are out of range are ignored.

  Parameters:
    `index` - the index of the item to select
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setBackground

    public void setBackground(org.eclipse.swt.graphics.Color color)

  Overrides:
    `setBackground` in class `org.eclipse.swt.widgets.Control`

### setEditable

    public void setEditable(boolean editable)

  Sets the editable state.

  Parameters:
    `editable` - the new editable state
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### setEnabled

    public void setEnabled(boolean enabled)

  Overrides:
    `setEnabled` in class `org.eclipse.swt.widgets.Control`

### setFocus

    public boolean setFocus()

  Overrides:
    `setFocus` in class `org.eclipse.swt.widgets.Composite`

### setFont

    public void setFont(org.eclipse.swt.graphics.Font font)

  Overrides:
    `setFont` in class `org.eclipse.swt.widgets.Control`

### setForeground

    public void setForeground(org.eclipse.swt.graphics.Color color)

  Overrides:
    `setForeground` in class `org.eclipse.swt.widgets.Control`

### setItem

    public void setItem(int index,
                        java.lang.String string)

  Sets the text of the item in the receiver's list at the given zero-relative index to the string argument. This is equivalent to `remove`'ing the old item at the index, and then `add`'ing the new item at that index.

  Parameters:
    `index` - the index for the item
    `string` - the new text for the item
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the list minus 1 (inclusive)
    - ERROR_NULL_ARGUMENT - if the string is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setItems

    public void setItems(java.lang.String[] items)

  Sets the receiver's list to be the given array of items.

  Parameters:
    `items` - the array of items
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the items array is null
    - ERROR_INVALID_ARGUMENT - if an item in the items array is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setLayout

    public void setLayout(org.eclipse.swt.widgets.Layout layout)

  Sets the layout which is associated with the receiver to be the argument which may be null.

  Note: No Layout can be set on this Control because it already manages the size and position of its children.

  Overrides:
    `setLayout` in class `org.eclipse.swt.widgets.Composite`
  Parameters:
    `layout` - the receiver's new layout or null
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setMenu

    public void setMenu(org.eclipse.swt.widgets.Menu menu)

  Overrides:
    `setMenu` in class `org.eclipse.swt.widgets.Control`

### setSelection

    public void setSelection(org.eclipse.swt.graphics.Point selection)

  Sets the selection in the receiver's text field to the range specified by the argument whose x coordinate is the start of the selection and whose y coordinate is the end of the selection.

  Parameters:
    `selection` - a point representing the new selection start and end
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the point is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setText

    public void setText(java.lang.String string)

  Sets the contents of the receiver's text field to the given string.

  Note: The text field in a `Combo` is typically only capable of displaying a single line of text. Thus, setting the text to a string containing line breaks or other special characters will probably cause it to display incorrectly.

  Parameters:
    `string` - the new text
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setTextLimit

    public void setTextLimit(int limit)

  Sets the maximum number of characters that the receiver's text field is capable of holding to be the argument.

  Parameters:
    `limit` - new text limit
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_CANNOT_BE_ZERO - if the limit is zero
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setToolTipText

    public void setToolTipText(java.lang.String string)

  Overrides:
    `setToolTipText` in class `org.eclipse.swt.widgets.Control`

### setVisible

    public void setVisible(boolean visible)

  Overrides:
    `setVisible` in class `org.eclipse.swt.widgets.Control`

### setVisibleItemCount

    public void setVisibleItemCount(int count)

  Sets the number of items that are visible in the drop down portion of the receiver's list.

  Parameters:
    `count` - the new number of items to be visible
  Throws:
    `org.eclipse.swt.SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### stripMnemonic

    java.lang.String stripMnemonic(java.lang.String string)

### textEvent

    void textEvent(org.eclipse.swt.widgets.Event event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD